cgGLSetMatrixParameter(3)

NAME
cgGLSetMatrixParameter - set the value of a matrix parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  /* TYPE is float or double */
  void cgGLSetMatrixParameter{fd}{rc}( CGparameter param,
                                       const TYPE * matrix );

PARAMETERS

param
    The matrix parameter that will be set.

matrix
    An array of values used to set the matrix parameter. The array must be the number of rows times the number of columns in size.

RETURN VALUES
None.

DESCRIPTION
The cgGLSetMatrixParameter functions set the value of a matrix parameter.

There are versions of the function that take either float or double values signified by f or d in the function name.

There are versions of the function that assume the array of values are laid out in either row or column order signified by r or c in the function name respectively.

The cgGLSetMatrixParameter functions may only be called with uniform parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

CG_INVALID_POINTER_ERROR is generated if matrix is NULL.

CG_INVALID_PARAMETER_ERROR is generated if the operation fails for any other reason.

HISTORY
The cgGLSetMatrixParameter functions were introduced in Cg 1.1.

SEE ALSO
cgGLGetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetParameter